import type { Metadata } from 'next'
import { Inter } from 'next/font/google'
import '../globals.css';
import { Header } from 'antd/es/layout/layout';
import Head from 'next/head';
import Loading from './loading';
import { Suspense } from 'react';



export const metadata: Metadata = {
  title: 'Create Next App',
  description: 'Generated by create next app',
}

export default function RootLayout({
  children,
}: {
  children: React.ReactNode
}) {
  return (
    <>
       <Suspense fallback={< Loading />}>
          {children}
        </Suspense>

    </>
  )
}
